# pdf-unlock #

__pdf_unlock.py__ removes security features from pdfs, to allow unrestricted printing and copying of context.

## Installation ##

[Ghostscript](https://ghostscript.com) is required. Windows users will have to add Ghostscript directory to the `PATH` environment variable manually, eg:

`C:\Program Files\gs\gs9.21\bin`

## Usage ##


Search for pdfs inside 'pdf_folder', then create new unlocked versions
of the pdfs with the the suffix '-unlocked.pdf':

`> python pdf_unlock.py pdf_folder`

Search for pdfs inside 'pdf_folder', then unlock the pdfs and overwrite
the original versions.

`> python pdf_unlock.py pdf_folder -o`

Search recursively for pdfs inside 'pdf_folder' and all subfolders,
then unlock the pdfs and overwrite the original versions.

`> python pdf_unlock.py pdf_folder -o -r`
